This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 497574 - 10-linuxwacom.fdi doesn't support touch for USB TabletPC with touch
10-linuxwacom.fdi doesn't support touch for USB TabletPC with touch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linuxwacom (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Aristeu Rozanski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 15:20 EDT by Ping
Modified: 2010-06-28 08:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ping 2009-04-24 15:20:21 EDT
Description of problem:


Version-Release number of selected component (if applicable):  10-linuxwacom.fdi version 0.2 included in Fedora 11 Beta

There is no entry for touch under contains="input" in 10-linuxwacom.fdi. However, simply adding:

 	  <append key="wacom.types" type="strlist">touch</append>

as we did for contains="serial" will not resolve the issue since touch data is reported on a separate port from the pen data (stylus, eraser, etc).  The affected USB product IDs are 0093 and 009a.
Comment 1 Kyle 2009-05-14 11:11:35 EDT
I have a tabletPC with the 0093 device. This is probably understood, but neither wacdump or xidump pick anything up. 

T:  Bus=07 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=0093 Rev= 4.03
S:  Manufacturer=Tablet
S:  Product=ISD-V4
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=(none)
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=7ms
I:* If#= 1 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=00 Prot=00 Driver=wacom
E:  Ad=82(I) Atr=03(Int.) MxPS=   8 Ivl=8ms



Let me know if I can provide any further info.
Comment 2 Bug Zapper 2009-06-09 10:31:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kyle 2009-07-09 15:56:37 EDT
I am happy to report that this device is working on my gentoo setup. The following packages are what I am running. 

sys-kernel/gentoo-sources-2.6.29-r5
sys-apps/hal-0.5.11-r9
sys-fs/udev-124-r2
x11-base/xorg-server-1.6.1.901-r4
x11-drivers/linuxwacom-0.8.3_p6

The hal and udev packages contained everything to properly identify my device and set up the proper symlinks. Initially, linuxwacom would compile against xorg-server 1.5 but not 1.6 due to libxf86config.a. A patch was created to work around this with the 8.3_p6 ebuild. Although the module support was removed from this ebuild, I reenabled it locally and everything seems to be working good.
Comment 4 Bug Zapper 2010-04-27 09:55:09 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:11:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.